PRO S_FIG,elo,gglo,elon,nlat,ndg,sclf,fzcs,levelsctr
compile_opt hidden
on_error,1

;... get the colors
restore,'colors1.idl'

;...create map environment, including geography, and contour scalar field
map_set,limit=[gglo-ndg,elo-ndg,gglo+ndg,elo+ndg],/noborder,xmargin=[5,5],ymargin=[2,3]
CONTOUR,sclf,elon,nlat,levels=levels,c_colors=colors,/fill,/overplot
map_continents,/hires,/coasts,mlinethick=4

;
CONTOUR,fzcs,elon,nlat,levels=levelsctr,/overplot,/follow,thick=2

;...bordering axes and center locator
!x.range=[elo-ndg,elo+ndg] &!y.range=[gglo-ndg,gglo+ndg]
axis,xaxis=0 & axis,yaxis=0 & axis,xaxis=1,xtitle=ttl & axis,yaxis=1
OPLOT,[elo,elo],[gglo-ndg,gglo+ndg],linestyle=3,thick=2
OPLOT,[elo-ndg,elo+ndg],[gglo,gglo],linestyle=3,thick=2
print,levelsctr

;...add storm name and creation time here
str=''
openr,lu,'timeLog',/get_lun
while not eof(lu) do begin
readf,lu,str
endwhile
close,lu &  free_lun,lu
sign=str
xyouts,elo-ndg+.05,gglo-ndg+.05,sign,charthick=1.2,charsize=1.2,color=214
!p.charthick=2
END;S_FIG.PRO
