;s_ranal.m

;...initialize storage arrays
ntp=0 & xkm=0. & ykm=0. & scf=0.

;...read analyzed data from "anal" file
while not eof(lu) do begin readf,lu,itp,xz,yz,scz & xkm=[xkm,xz] & ykm=[ykm,yz]
ntp=[ntp,itp] & scf=[scf,scz] & endwhile
close,lu & free_lun,lu

;...collect analyzed data into arrays
xkm=1e-3*xkm & ykm=1e-3*ykm & rkm=sqrt(xkm^2+ykm^2)
ntp=fix(ntp) & ntp=ntp(1:*) & scf=scf(1:*)
xkm=xkm(1:*) & ykm=ykm(1:*) & rkm=rkm(1:*)

;...remove bogus data
iok=where(ntp lt 50)
ntp=ntp(iok) & scf=scf(iok) & rkm=rkm(iok)
xkm=xkm(iok) & ykm=ykm(iok)

;...rename some of the variable
xkmd=xkm & ykmd=ykm & rkmd=rkm & scfd=scf 
elod=elo & gglod=gglo

;...save the variables
save,ntp,xkmd,ykmd,rkmd,scfd,elod,gglod,filename='obs.idl'

;s_ranal.m
