;S_XTRCSCDAS.M
;extract cascaded amplitudes
i=meshb-2 &for k=1,i do begin $
THINS,zacde,zacdet & zacde=zacdet &endfor

;obtain mesoscale field values from cascaded amplitudes
ATOF,zacde,fzcsc
info=size(fzcsc) & mxx=info(1) & nxx=info(2)
mde=indgen(mxx) & nde=indgen(nxx)
xl=x1sh(meshb-1)/1000. & yb=y1sh(meshb-1)/1000.
dxyk=.001*(xxsh(meshb-1)-x1sh(meshb-1))/(mxx-1)
xkilo=xl+dxyk*mde & ykilo=yb+dxyk*nde
ic=where(abs(xkilo) eq min(abs(xkilo))) & ic=ic(0)
jc=where(abs(ykilo) eq min(abs(ykilo))) & jc=jc(0)
xmkm=xkilo-xkilo(ic) & ynkm=ykilo-ykilo(jc)
xyx=min([abs(min(xmkm)),max(xmkm),abs(min(ynkm)),max(ynkm)])
mnx=fix(round(xyx/dxyk))
ma=ic-mnx & mb=ic+2+mnx & na=jc-mnx & nb=jc+2+mnx

;generate final mesoscale amplitudes, wind components and coordinates
zacde=zacde(ma:mb,na:nb) & ATOF,zacde,fzcs
xmkm=xmkm(ic-mnx:ic+mnx) & ynkm=ynkm(jc-mnx:jc+mnx)
xwst=1000*xmkm(0) & ysth=1000*ynkm(0) & dxy=1000*dxyk
zo=complex(xkilo(ic),ykilo(jc))
;END S_XTRCSCDAS.M

